execute as @a[nbt={SelectedItem:{components:{"minecraft:custom_data":{snc:-1b}}}}] run tag @s add snc.pressedF
execute as @a[nbt={Inventory:[{Slot:-106b,components:{"minecraft:custom_data":{snc:1b}}}]}] run tag @s add snc.pressedF
execute as @a[scores={snc.sneak=1..}] run tag @s add snc.sneaks

tag @a remove snc.onGround

tag @a[tag=snc.pressedF,tag=snc.sneaks] add snc.sitNow
scoreboard players set @a[tag=snc.pressedF,tag=snc.sneaks] snc.timer 1500

tag @a[scores={sit=1..}] add snc.sitNow

execute as @a[tag=snc.sitNow,scores={snc.sneak=1}] run title @s actionbar [{"text":"Release Shift within ","color":"green"},{"score":{"name":"@s","objective":"snc.timer"}},{"text":"ms to sit down."}]

execute as @a at @s unless block ~ ~-0.2 ~ air unless block ~ ~-0.2 ~ #buttons unless block ~ ~-0.2 ~ structure_void unless block ~ ~-0.2 ~ lever run tag @s add snc.onGround
execute as @a[tag=snc.sitNow,tag=!snc.onGround,scores={snc.sneak=0}] at @s run title @s actionbar {"text":"Can't sit down while in air!","color":"red"}
execute as @a[tag=snc.sitNow,tag=snc.onGround,scores={snc.sneak=0,snc.timer=1..}] at @s run function snc:sit
execute as @a[tag=snc.sitNow,tag=snc.onGround,scores={snc.sneak=0,sit=1..}] at @s run function snc:sit




tag @a[scores={snc.sneak=0}] remove snc.sitNow


execute as @e[type=minecraft:armor_stand,tag=snc.entity] at @s positioned ~ ~1 ~ at @p run rotate @s ~ ~

## Revert Inventory

execute as @a[tag=snc.pressedF,tag=snc.sneaks] at @s run setblock ~ -64 ~ chest

execute as @a[tag=snc.pressedF,tag=snc.sneaks] at @s run item replace block ~ -64 ~ container.26 from entity @s weapon.offhand
execute as @a[tag=snc.pressedF,tag=snc.sneaks] at @s run item replace entity @s weapon.offhand from entity @s weapon.mainhand
execute as @a[tag=snc.pressedF,tag=snc.sneaks] at @s run item replace entity @s weapon.mainhand from block ~ -64 ~ container.26

execute as @a[tag=snc.pressedF,tag=snc.sneaks] at @s run setblock ~ -64 ~ bedrock


## Inventory Tagging

execute as @a[scores={snc.enabled=1},nbt=!{SelectedItemSlot:0}] run item modify entity @s container.0 snc:unmark
execute as @a[scores={snc.enabled=1},nbt=!{SelectedItemSlot:1}] run item modify entity @s container.1 snc:unmark
execute as @a[scores={snc.enabled=1},nbt=!{SelectedItemSlot:2}] run item modify entity @s container.2 snc:unmark
execute as @a[scores={snc.enabled=1},nbt=!{SelectedItemSlot:3}] run item modify entity @s container.3 snc:unmark
execute as @a[scores={snc.enabled=1},nbt=!{SelectedItemSlot:4}] run item modify entity @s container.4 snc:unmark
execute as @a[scores={snc.enabled=1},nbt=!{SelectedItemSlot:5}] run item modify entity @s container.5 snc:unmark
execute as @a[scores={snc.enabled=1},nbt=!{SelectedItemSlot:6}] run item modify entity @s container.6 snc:unmark
execute as @a[scores={snc.enabled=1},nbt=!{SelectedItemSlot:7}] run item modify entity @s container.7 snc:unmark
execute as @a[scores={snc.enabled=1},nbt=!{SelectedItemSlot:8}] run item modify entity @s container.8 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.9 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.10 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.12 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.13 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.14 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.15 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.16 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.17 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.18 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.19 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.20 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.21 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.22 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.23 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.24 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.25 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.26 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.27 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.28 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.29 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.30 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.31 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.32 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.33 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.34 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s container.35 snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s armor.head snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s armor.legs snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s armor.feet snc:unmark
execute as @a[scores={snc.enabled=1}] run item modify entity @s armor.chest snc:unmark

execute as @a[scores={snc.enabled=1}] run item modify entity @s weapon.mainhand snc:mark
execute as @a[scores={snc.enabled=1}] run item modify entity @s weapon.offhand snc:reverse

execute as @e[tag=snc.entity] at @s positioned ~ ~1 ~ unless entity @a[dx=0.1,dy=0.1,dz=0.1] run kill @s
scoreboard players remove @a[scores={snc.timer=1..}] snc.timer 50 


scoreboard players reset @a sit
scoreboard players enable @a sit
scoreboard players set @a snc.sneak 0
tag @a remove snc.pressedF
tag @a remove snc.sneaks

